
#ifndef _PROINIFILE_H
#define _PROINIFILE_H

#pragma once

#include <stdio.h>
#include <afxcoll.h>

class CProIniSection;

class CProIniFile
{
protected:
	FILE* m_pfFile;
	CPtrList m_listSection;
	POSITION m_posSection;

	void DeleteAll();
	BOOL IsSectionHeader(CString str) const;
	BOOL ReadLineRaw(CString& str) ;
	BOOL ReadLine(CString& str);
	void ReadAll();
public:
	void InsertSection(CProIniSection* psec, int iPos);
	CString m_strName;
	CProIniFile();
	~CProIniFile();
	BOOL Open(LPCTSTR lpszName);
	CProIniSection* GetSectionRaw(int inr) const;
	CProIniSection* GetSectionRaw(LPCTSTR lpszName) const;
	CProIniSection* GetNextSectionRaw();
	void GoBack();
	int GetCount() const;
	BOOL SaveAs(CString strName);
	void SetSection(CProIniSection* psec,int inr);
	void AddSection(CProIniSection* psec);
	void DeleteAt(int inr);
	void SetSectionPos(int inr);
	BOOL FromString(LPCTSTR lpszText);
protected:
	BOOL ReadTextLineRaw(CString& str,LPCTSTR& lpszRead);
};

#endif // _PROINIFILE_H
