
#ifndef _PROINISECTION_H
#define _PROINISECTION_H

#pragma once

#include <stdio.h>
#include <afxcoll.h>

class CProIniSection
{
protected:
	CPtrList m_list;
	void DeleteAll();
public:
	void SetString(int inr,CString str);
	CProIniSection();
	void AddString(CString str);
	void Show() const;
	~CProIniSection();
	CString GetTitle() const;
	void SetTitle(CString strTitle);
	CString GetString(int inr) const;
	CString GetString(LPCTSTR lpszName) const;
	int GetCount() const;
	CString GetWord(CString strArg, int iWord) const;
	CString GetBeforeEqual(CString strArg) const;
	CString GetAfterEqual(CString strArg) const;
	CString GetListEntry(CString strList, int iPos, char cDelimiter=';') const;
};

#endif // _PROINISECTION_H

