// MenuExampleDlg.h : Header-Datei
//

#if !defined(AFX_MENUEXAMPLEDLG_H__8EBA39F9_A86F_4FB8_A4F4_AE8CA2B83143__INCLUDED_)
#define AFX_MENUEXAMPLEDLG_H__8EBA39F9_A86F_4FB8_A4F4_AE8CA2B83143__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000


class CMenuItem;
class CProIniFile;

#define STARTX 7
#define STARTY 27
#define DELTAY 15
#define DELTAX 15 




class CMenuExampleDlg : public CDialog
{
public:
	CMenuExampleDlg(CWnd* pParent = NULL);
	~CMenuExampleDlg();

	//{{AFX_DATA(CMenuExampleDlg)
	enum { IDD = IDD_MENUEXAMPLE_DIALOG };
	//}}AFX_DATA

	//{{AFX_VIRTUAL(CMenuExampleDlg)
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);
	//}}AFX_VIRTUAL

protected:
	HICON m_hIcon;

	//{{AFX_MSG(CMenuExampleDlg)
	virtual BOOL OnInitDialog();
	afx_msg void OnPaint();
	afx_msg HCURSOR OnQueryDragIcon();
	afx_msg void OnLButtonDown(UINT nFlags, CPoint point);
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()


	long AddSubMenu(CMenuItem* pItemParent, CProIniFile* pFile);
	CMenuItem* GetParentOfSubList(CMenuItem* pItem);
	CMenuItem* GetItemByY(CMenuItem* pItem, int iY);
	CMenuItem* GetItemByID(CMenuItem* pItem, int iID);
	CMenuItem* GetLastSubOfPrecedor(CMenuItem* pItem);
	void RedrawItem(CMenuItem* pItem);
	void DrawSubMenu(CDC *pdc, CMenuItem* pItemRoot, int iLevel);
	void DrawMenu(CDC* pdc);
	int m_iY;
	CFont m_fontNormal;
	CString m_strFirma;
	CBitmap* m_pBitmap;
	CMenuItem* m_pItemRoot;
	CMenuItem* m_pItemHigh;
	long LoadMenuFromFile(LPCTSTR lpszMenu);
	long EnableItem(long lID, long lEnable);
	long SetItemColor(long lID, long lColor);
	void SetItem(long lID);

};

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ fgt unmittelbar vor der vorhergehenden Zeile zustzliche Deklarationen ein.

#endif // !defined(AFX_MENUEXAMPLEDLG_H__8EBA39F9_A86F_4FB8_A4F4_AE8CA2B83143__INCLUDED_)
